//
//  adc.h
//  TemplateProject
//
//  Created by Michael Köhler
//
//

#ifndef adc_h
#define adc_h

#include <avr/io.h>
#include <avr/interrupt.h>
enum ADC_Prescaler{
    PSC2,
    PSC4,
    PSC8,
    PSC16,
    PSC32,
    PSC64,
    PSC128
};
enum ADC_Ref_Source{
    AVCC,
    AREF,
    INTERNAL
};
enum ADC_Align{
    LEFT,
    RIGHT
};
void adcInit(uint16_t prescaler, uint8_t refSource, uint8_t leftAlign);
uint16_t adcRead(uint8_t channel);
uint16_t adcReadMittel(uint8_t channel, uint16_t cycles);

#endif /* adc_h */
